Commit 920d9937 authored by Christian Steigies's avatar Christian Steigies

Imported Debian patch 1.0.3-29

parent bb4bd0dd
circuslinux (1.0.3-29) unstable; urgency=low
* updated Standards-Version to 3.9.6 (no changes)
* enable hardening with debhelper 9
-- Christian T. Steigies <cts@debian.org> Fri, 24 Oct 2014 22:53:30 +0200
circuslinux (1.0.3-28) unstable; urgency=low circuslinux (1.0.3-28) unstable; urgency=low
* repackage with debhelper 8
* Switch to dpkg-source 3.0 (quilt) format * Switch to dpkg-source 3.0 (quilt) format
* use autoreconf, build depend on automake
* do not ignore errors in maintainer scripts
* updated Standards-Version to 3.9.2 (no changes) * updated Standards-Version to 3.9.2 (no changes)
* switch to debhelper 8
-- Christian T. Steigies <cts@debian.org> Mon, 24 Oct 2011 21:18:14 +0200 -- Christian T. Steigies <cts@debian.org> Thu, 20 Oct 2011 23:08:37 +0200
circuslinux (1.0.3-27) unstable; urgency=low circuslinux (1.0.3-27) unstable; urgency=low
......
...@@ -2,16 +2,21 @@ Source: circuslinux ...@@ -2,16 +2,21 @@ Source: circuslinux
Section: games Section: games
Priority: optional Priority: optional
Maintainer: Christian T. Steigies <cts@debian.org> Maintainer: Christian T. Steigies <cts@debian.org>
Standards-Version: 3.9.2 Standards-Version: 3.9.6
Homepage: http://www.newbreedsoftware.com/circus-linux/ Homepage: http://www.newbreedsoftware.com/circus-linux/
Build-Depends: debhelper (>= 8.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), libsdl-image1.2-dev (>= 1.2.0-1.1), automake, devscripts Build-Depends: autotools-dev,
debhelper (>= 9),
devscripts,
libsdl-image1.2-dev (>= 1.2.0-1.1),
libsdl-mixer1.2-dev (>= 1.2.0-1.1),
libsdl1.2-dev (>= 1.2.2-3.1)
Vcs-Bzr: http://bzr.debian.org/bzr/users/cts/circuslinux/trunk Vcs-Bzr: http://bzr.debian.org/bzr/users/cts/circuslinux/trunk
Vcs-Browser: http://bzr.debian.org/loggerhead/users/cts/circuslinux/trunk/files Vcs-Browser: http://bzr.debian.org/loggerhead/users/cts/circuslinux/trunk/files
Package: circuslinux Package: circuslinux
Architecture: any Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, circuslinux-data Depends: circuslinux-data, ${misc:Depends}, ${shlibs:Depends}
Description: Clowns are trying to pop balloons to score points! Description: The clowns are trying to pop balloons to score points!
"Circus Linux!" is based on the Atari 2600 game "Circus Atari" by Atari, "Circus Linux!" is based on the Atari 2600 game "Circus Atari" by Atari,
released in 1980. Gameplay is similar to "Breakout" and "Arkanoid" - you released in 1980. Gameplay is similar to "Breakout" and "Arkanoid" - you
slide a device left and right to bounce objects into the air which destroy slide a device left and right to bounce objects into the air which destroy
......
...@@ -15,7 +15,7 @@ override_dh_auto_clean: ...@@ -15,7 +15,7 @@ override_dh_auto_clean:
-rm configure config.cache config.guess config.log config.status config.sub -rm configure config.cache config.guess config.log config.status config.sub
-rm data/Makefile data/Makefile.in -rm data/Makefile data/Makefile.in
-rm COPYING INSTALL -rm COPYING INSTALL
-rm NEWS README AUTHORS changelog ChangeLog -rm NEWS README AUTHORS changelog ChangeLog compile
override_dh_auto_configure: override_dh_auto_configure:
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment